/* -*- c++ -*- */

#define HAMNET70_API

%include "gnuradio.i"           // the common stuff

//load generated python docstrings
%include "hamnet70_swig_doc.i"

%{
#include "hamnet70/correct_phase_from_tag.h"
#include "hamnet70/correct_frequency.h"
#include "hamnet70/freq_est_lr.h"
#include "hamnet70/pid_controller.h"
#include "hamnet70/insert_delayed_tag.h"
#include "hamnet70/scrambler.h"
#include "hamnet70/async_scrambler.h"
#include "hamnet70/insert_pilot_symbols.h"
#include "hamnet70/correct_frequency_from_pilot_syms.h"
#include "hamnet70/symbol_interleaver.h"
#include "hamnet70/qam_phase_tracker.h"
%}


%include "hamnet70/correct_phase_from_tag.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, correct_phase_from_tag);

%include "hamnet70/correct_frequency.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, correct_frequency);
%include "hamnet70/freq_est_lr.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, freq_est_lr);
%include "hamnet70/pid_controller.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, pid_controller);
%include "hamnet70/insert_delayed_tag.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, insert_delayed_tag);
%include "hamnet70/scrambler.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, scrambler);
%include "hamnet70/async_scrambler.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, async_scrambler);
%include "hamnet70/insert_pilot_symbols.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, insert_pilot_symbols);
%include "hamnet70/correct_frequency_from_pilot_syms.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, correct_frequency_from_pilot_syms);
%include "hamnet70/symbol_interleaver.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, symbol_interleaver);
%include "hamnet70/qam_phase_tracker.h"
GR_SWIG_BLOCK_MAGIC2(hamnet70, qam_phase_tracker);
